Nätverkskort ESXi 4.x

Trädvy Permalänk
Medlem
Plats
Uppland
Registrerad
Jul 2003

Nätverkskort ESXi 4.x

Hej.

Någon som har tips på vilka nätverkskort som fungerar under VMWare ESXi 4.x? Dom jag ahr som kör under 3.5 fungerar inte under 4.x.

Så därför vänder jag mig till er där ute. Har väl inte jätte mycket pengar att lägga ut på dom men kom med förslag så får avgöra:P

Mvh Dax

Server: HPE Gen8 / UNRaid 6.x.x
Brandvägg: Unifi USG Pro 4
Wifi: Unifi AP x 3

Trädvy Permalänk
Medlem
Plats
Göteborg
Registrerad
Mar 2002
Skrivet av Dax:

Hej.

Någon som har tips på vilka nätverkskort som fungerar under VMWare ESXi 4.x? Dom jag ahr som kör under 3.5 fungerar inte under 4.x.

Så därför vänder jag mig till er där ute. Har väl inte jätte mycket pengar att lägga ut på dom men kom med förslag så får avgöra:P

Mvh Dax

ESX / ESXi 4.0 Whitebox HCL

Datorer - Macbook Pro 13" late 2013 / MacBook Air 13" late 2013
Hörlurssystem - DacMagic Plus > Sennheiser HD650 / NAD HP50
Ljudsystem - HRT Music Streamer II+ > NAD C356BEE > DALI Mentor 6
Bilpark - Porsche 911 Carrera S

Trädvy Permalänk
Medlem
Plats
Sundsvall
Registrerad
Jul 2009

ESXi 4 och ESX 4 kräver att det är gigabitkort, köp ett broadcom netxtreme eller ett intel pro 1000 (alla pro1000 kort funkar oavsett om det är desktop eller server nics )
realtek och andra såna "skitkort" funkar inte

Trädvy Permalänk
Medlem
Plats
Uppland
Registrerad
Jul 2003

Tackar då blir det 2st pro 1000 kort

Server: HPE Gen8 / UNRaid 6.x.x
Brandvägg: Unifi USG Pro 4
Wifi: Unifi AP x 3

Trädvy Permalänk
Medlem
Plats
Sundsvall
Registrerad
Jul 2009
Skrivet av Dax:

Tackar då blir det 2st pro 1000 kort

kolla vad du har onboard åxo, vet att nForce korten är supporterade från Vmware's officiella HCL

Trädvy Permalänk
Medlem
Plats
Uppland
Registrerad
Jul 2003

Får upp unsopperted network hardware på min nuvarande server jag kör esxi 3.5 på så uppgraderar mina nätverkskort borde lösa problemet och det inbyggda chipet är ich7 eller liknande.

Server: HPE Gen8 / UNRaid 6.x.x
Brandvägg: Unifi USG Pro 4
Wifi: Unifi AP x 3

Trädvy Permalänk
Medlem
Plats
Linköping
Registrerad
Sep 2004

Om du har ett nätverkskort/chipset som nämns här: Customizing your ESXi install with oem.tgz så är det bara skapa din egen esxi4 install med just den oem.tgz filen o köra.

sysl....
Bygg din egen router med pfSense
Citera för svar!

Trädvy Permalänk
Medlem
Plats
Sundsvall
Registrerad
Jul 2009
Skrivet av Endosavian:

Om du har ett nätverkskort/chipset som nämns här: Customizing your ESXi install with oem.tgz så är det bara skapa din egen esxi4 install med just den oem.tgz filen o köra.

Gäller inte 4:an, bara 3x.
än så länge så finns det inga 3:e parts 64-bits drivare för tex realtek/unsupported/whatever som accepteras av VMkernel samt att VMkernel inte ens har stöd för 100mbits kort oavsett om du skulle knacka en egen driver.

Bästa är väl att slänga ut ett par hundra på pro1000 kort, så länge man inte har onboard som är supporterat.

Trädvy Permalänk
Medlem
Plats
Linköping
Registrerad
Sep 2004
Skrivet av anatoxin:

Gäller inte 4:an, bara 3x.
än så länge så finns det inga 3:e parts 64-bits drivare för tex realtek/unsupported/whatever som accepteras av VMkernel samt att VMkernel inte ens har stöd för 100mbits kort oavsett om du skulle knacka en egen driver.

Bästa är väl att slänga ut ett par hundra på pro1000 kort, så länge man inte har onboard som är supporterat.

Hur menar du nu?
Det går ju utan problem att lägga till unsupported drivare till esxi 4.X, eller missförstod jag din text?

sysl....
Bygg din egen router med pfSense
Citera för svar!

Trädvy Permalänk
Medlem
Plats
Sundsvall
Registrerad
Jul 2009
Skrivet av Endosavian:

Hur menar du nu?
Det går ju utan problem att lägga till unsupported drivare till esxi 4.X, eller missförstod jag din text?

Nej, du missförstod mig inte, däremot så skrev jag extremt korkat, Ursäktar mig för det.
det gällde 100 kort, enligt VMware själva så har dom tagit bort 100mbits stödet på samma sätt som dom har tagit bort chip och mjukvaruraid, dvs du kan ladda driver men inte använda funktioner fullt ut. Detta är för att skydda VMkerneln från exploits.

Guiden "Customizing ESXi" är ganska diffus, många av drivarna i listan redan är native supporterade av vmware, tex Nvidia MCP då Sun kör dessa i sina Sun Fire servrar samt 3ware kontrollerna (kan dock krävas certad driver från tillverkare). Vilket också tyder på att ganska stor del av guiden är "copy & paste" från 3.5, många av drivarna i guiden är enbart modifierade Red-Hat drivers vilket inte kan laddas under 4.0 och 4.0i för att VMkerneln i 4an inte längre är baserad på Red-Hat kod, vilket hela 2x och 3x serien var till viss del.

Trädvy Permalänk
Medlem
Plats
Stockholm
Registrerad
Jul 2004

ESX releaserna har vad jag sett så långt som jag använt det (sedan 2.5.x) haft en service konsoll baserad på redhat (utom i-versionerna då givetvis) och så även 4an (vars service konsoll är baserad på RHEL5). Bara kolla paketnamnen så ser du att i stort sett alla paket som inte vmware utvecklat själva har "el5" någonstans i namnet.

Däremot ställer jag mig också tveksam till att ladda in custom driver, dom brukar fungera bra i service konsollen men svårare att få att fungera ihop med VMkernel.

Trädvy Permalänk
Medlem
Plats
Uppland
Registrerad
Jul 2003

har nu fått 2 stycken intel pro 1000 och fungerar klockrent med ESXi 4.1

Server: HPE Gen8 / UNRaid 6.x.x
Brandvägg: Unifi USG Pro 4
Wifi: Unifi AP x 3

Trädvy Permalänk
Medlem
Plats
Sundsvall
Registrerad
Jul 2009
Skrivet av nfm:

ESX releaserna har vad jag sett så långt som jag använt det (sedan 2.5.x) haft en service konsoll baserad på redhat (utom i-versionerna då givetvis) och så även 4an (vars service konsoll är baserad på RHEL5). Bara kolla paketnamnen så ser du att i stort sett alla paket som inte vmware utvecklat själva har "el5" någonstans i namnet.

Däremot ställer jag mig också tveksam till att ladda in custom driver, dom brukar fungera bra i service konsollen men svårare att få att fungera ihop med VMkernel.

VMkernel slutade vara el5 baserad från 4an, däremot så har du helt rätt i att servicekonsollen och många av paketen är det, gäller som du sa bara ESX och inte ESXi